Bug 483280 - Radeon XPRESS 200M (RC410) - Gamma setting in xorg.conf not honored unless nomodeset in kernel
Radeon XPRESS 200M (RC410) - Gamma setting in xorg.conf not honored unless no...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i386 Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-30 12:22 EST by Alex Villacís Lasso
Modified: 2009-12-18 02:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:45:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Configuration file used for Xorg, with required gamma value. (1.56 KB, text/plain)
2009-01-30 12:22 EST, Alex Villacís Lasso
no flags Details
Output of lspci -v (5.09 KB, text/plain)
2009-01-30 12:23 EST, Alex Villacís Lasso
no flags Details

  None (edit)
Description Alex Villacís Lasso 2009-01-30 12:22:04 EST
Created attachment 330494 [details]
Configuration file used for Xorg, with required gamma value.

Description of problem:

My screen needs a gamma setting of 2.08 to show colors properly - otherwise the output is annoyingly dark. This gamma value is the one reported by EDID, from what I can glean in the X server log.

When using modesetting (the default case), the value gets picked up from the conf file and shown in the log, but is not actually applied - the graphical screen is still too dark. Also the xgamma command does not work at all, even though it reports that the gamma value is set to the correct value.

By adding "nomodeset" to the kernel command line, the xorg.conf value is correctly applied, and the xgamma command works. However, this also results in DRI disabled, so it is not a good workaround.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.5.3-6.fc10.i386
xorg-x11-drv-ati-6.10.0-1.fc10.i386
mesa-libGL-7.2-0.15.fc10.i386
mesa-dri-drivers-7.2-0.15.fc10.i386
kernel-2.6.27.12-170.2.5.fc10.i686

How reproducible:
Always

Steps to Reproduce:
1. Get a Radeon RC410 chipset to test
2. With kernel modesetting active, attempt to change gamma value (with xorg.conf or xgamma command)
  
Actual results:
Gamma value and/or execution of xgamma result in no visible change on the screen, even though values are correctly reported.

Expected results:
Gamma value should be immediately applied, regardless of the use of modesetting.

Additional info:
Workaround is to disable kernel modesetting on boot.
Comment 1 Alex Villacís Lasso 2009-01-30 12:23:13 EST
Created attachment 330495 [details]
Output of lspci -v
Comment 2 Callum Lerwick 2009-02-28 13:10:53 EST
I can confirm this on a Radeon 9600XT. Gamma does nothing no matter how you set it. This is a problem with Quake 3, it displays really, really dark and moving the in-game slider does nothing. Same hardware as in 487432
Comment 3 Alex Villacís Lasso 2009-04-03 19:04:01 EDT
Still present with:

xorg-x11-server-Xorg-1.5.3-15.fc10.i386
xorg-x11-drv-ati-6.10.0-2.fc10.i386
mesa-libGL-7.2-0.15.fc10.i386
mesa-dri-drivers-7.2-0.15.fc10.i386
kernel-2.6.27.21-170.2.56.fc10.i686
Comment 4 Callum Lerwick 2009-05-20 23:49:48 EDT
Okay, as of:

xorg-x11-server-Xorg-1.6.1-11.fc11.x86_64
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64
kernel-2.6.29.3-140.fc11.x86_64

... Gamma now seems to work. Sort of. The brightness slider in Quake 3 now works properly with modesetting enabled, but something weird has happened to the "xgamma" command line tool. Setting larger numbers makes the display *darker*, smaller numbers make it brighter. This is a change in previous behavior. I now have to set the gamma to 0.8 or so to get what I used to with 1.2. The gamma setting has become 1/gamma ? 1/1.2 comes out to 0.833333333...
Comment 5 cam 2009-06-01 03:53:22 EDT
I'm also seeing this problem with my Dell laptop (Radeon x300 card)
01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Mobility Radeon X30
0] (prog-if 00 [VGA controller])
        Subsystem: Dell Device 2003
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at d0000000 (32-bit, prefetchable) [size=128M]
        I/O ports at de00 [size=256]
        Memory at dfdf0000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at dfd00000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel modules: radeon, radeonfb
xorg-x11-drv-ati-6.10.0-2.fc10.i386

xgamma appears to work but does not actually change the screen gamma. I would really like working gamma to be able to view photos properly (they all look too dark without it)
Comment 6 Bug Zapper 2009-11-18 07:44:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:45:07 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.